Subject: Re: freeze with interface rename & SIOCGIFNAME

From: Nicolas Schichan <[email-masked]>
Date: Tue, 25 Jun 2013 19:12:43 +0200

On 06/25/2013 07:05 PM, Eric Dumazet wrote:
> On Tue, 2013-06-25 at 09:57 -0700, Eric Dumazet wrote:
>
>> I am not sure it's needed, because the writer holds a spinlock and is
>> not allowed to sleep or being preempted.
>>
>> If it's needed, there is a bug somewhere else...
>
> Oh well, its a write_seqcount, so no spinlock...

That's what I was going to reply.

Am I right in thinking that the process spinning on SIOCGIFNAME should be 
naturally be preempted by other tasks by the scheduler once its timeslice has 
expired or am I missing something ?

-- 
Nicolas Schichan
Freebox SAS